Chore: Upgrade Jenkins-job-builder to 6.3.0
[releng/global-jjb.git] / shell / tox-install.sh
index 09b9ab2..56bc43a 100644 (file)
@@ -1,17 +1,25 @@
-#!/bin/bash
+#!/bin/bash -l
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
 echo "---> tox-install.sh"
 
-# Ensure we fail the job if any steps fail.
-# DO NOT set -u as virtualenv's activate script has unbound variables
-set -e -o pipefail
+# Ensure we fail the job if any steps fail or variables are missing.
+# Use -x to show value of $PYTHON in output
+set -eux -o pipefail
 
-virtualenv --quiet "$WORKSPACE/.virtualenvs/tox"
-# shellcheck source=./.virtualenvs/tox/bin/activate disable=SC1091
-source "$WORKSPACE/.virtualenvs/tox/bin/activate"
-PYTHON="$WORKSPACE/.virtualenvs/tox/bin/python"
-$PYTHON -m pip install --quiet --upgrade pip
-$PYTHON -m pip install --quiet --upgrade pipdeptree
-$PYTHON -m pip install --quiet --upgrade tox argparse
+# shellcheck disable=SC1090
+source ~/lf-env.sh
 
-echo "----> Pip Dependency Tree"
-pipdeptree
+lf-activate-venv --venv-file /tmp/.toxenv tox virtualenv urllib3~=1.26.15
+
+# installs are silent, show version details in log
+$PYTHON --version
+$PYTHON -m pip --version
+$PYTHON -m pip freeze